# Generated by Django 5.0.6 on 2024-09-11 14:20

from django.db import migrations


def update_data(apps, schema_editor):
    # Get your model dynamically from the historical model state
    WorkloadDocumentInstance = apps.get_model('nemo', 'WorkloadDocumentInstance')
    WorkloadDocumentLifecycleEvent = apps.get_model('nemo', 'WorkloadDocumentLifecycleEvent')

    # Query and update the necessary data
    for workload_document_instance in WorkloadDocumentInstance.objects.filter(lifecycle_metadata__isnull=False):
        lifecycle_metadata = workload_document_instance.lifecycle_metadata
        for metadata in lifecycle_metadata:
            match metadata['status']:
                case 'rendered':
                    event_type = 'rendered'
                case _:
                    event_type = None

            if event_type:
                WorkloadDocumentLifecycleEvent.objects.create(
                    workload_document_instance=workload_document_instance,
                    type=event_type,
                    timestamp=metadata['timestamp']
                )

def reverse_data(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('nemo', '0009_workloaddocumentlifecycleevent'),
    ]

    operations = [
        migrations.RunPython(update_data, reverse_data),
    ]
